FinWise API
SupportChangelog

The merchant object

Attributes

idstring
Unique identifier for the merchant.
createdAtstring
When the object was created, ISO 8601.
updatedAtstring
When the object was last updated, ISO 8601.
userIdstring
Owner of the object. Always the authenticated user.
namestring
Merchant / payee name.
GET/merchants
curl https://api.finwiseapp.io/merchants \
-X GET \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/merchants', {
method: 'GET',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
The merchant object
[
{
"id": "d4dd1cbe-d349-4089-ad63-b98921426656",
"createdAt": "2026-03-14T09:00:00.000Z",
"updatedAt": "2026-03-14T09:00:00.000Z",
"name": "Walmart",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45"
}
]